com.trendmicro.ds.platform.rest.object.scheduledtask

## Class DailyScheduleParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.DailyScheduleParameters

- All Implemented Interfaces:
    IScheduleParameters

      public class DailyScheduleParameters
      extends java.lang.Object
      implements IScheduleParameters

  Parameters for daily schedule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DailyScheduleParameters.FrequencyType` FrequencyType controls when the scheduled task is run.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DailyScheduleParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getCustomInterval()` Get the custom interval.
    `DailyScheduleParameters.FrequencyType` | `getFrequencyType()` Get the frequency type.
    `void` | `setCustomInterval(java.lang.Integer customInterval)` Set the custom interval.
    `void` | `setFrequencyType(DailyScheduleParameters.FrequencyType frequencyType)` Set the frequency type.
    `java.lang.String` | `toString()`
    `DailyScheduleParameters` | `withCustomInterval(java.lang.Integer customInterval)` Set the custom interval.
    `DailyScheduleParameters` | `withFrequencyType(DailyScheduleParameters.FrequencyType frequencyType)` Set the frequency type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DailyScheduleParameters

          public DailyScheduleParameters()

  - ### Method Detail

    - #### getFrequencyType

          public DailyScheduleParameters.FrequencyType getFrequencyType()

      Get the frequency type.
      Returns:
        the frequency type.

    - #### setFrequencyType

          public void setFrequencyType(DailyScheduleParameters.FrequencyType frequencyType)

      Set the frequency type.
      Parameters:
        `frequencyType` - the frequency type.

    - #### withFrequencyType

          public DailyScheduleParameters withFrequencyType(DailyScheduleParameters.FrequencyType frequencyType)

      Set the frequency type.
      Parameters:
        `frequencyType` - the frequency type.
      Returns:
        the updated DailyScheduleParameters object.

    - #### getCustomInterval

          public java.lang.Integer getCustomInterval()

      Get the custom interval.
      Returns:
        the custom interval.

    - #### setCustomInterval

          public void setCustomInterval(java.lang.Integer customInterval)

      Set the custom interval.
      Parameters:
        `customInterval` - the custom interval.

    - #### withCustomInterval

          public DailyScheduleParameters withCustomInterval(java.lang.Integer customInterval)

      Set the custom interval.
      Parameters:
        `customInterval` - the custom interval.
      Returns:
        the updated DailyScheduleParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.